### Constructor

# Atspi EventListener new_simple

#### Declaration [src]

    AtspiEventListener*
    atspi_event_listener_new_simple (
      AtspiEventListenerSimpleCB callback,
      GDestroyNotify callback_destroyed
    )

#### Description [src]

Creates a new `AtspiEventListener` associated with a specified `callback`.

This constructor is not directly available to language bindings.

#### Parameters

`callback`

  Type: `AtspiEventListenerSimpleCB`

  An `AtspiEventListenerSimpleCB` to be called when an event is fired.

`callback_destroyed`

  Type: `GDestroyNotify`

  A `GDestroyNotify` called when the listener is freed and data associated with the callback should be freed. Can be NULL.

#### Return value

Type: `AtspiEventListener`

A new `AtspiEventListener`.

The caller of the function takes ownership of the data, and is responsible for freeing it.